Subject: Re: I-D ACTION:draft-nottingham-atompub-feed-history-00.txt

From: "A. Pagaltzis" <[email-masked]>
Date: Sun, 17 Jul 2005 05:54:54 +0200

* Eric Scheid <[email-masked]> [2005-06-30 05:20]:
> On 30/6/05 11:54 AM, "Antone Roundy" <[email-masked]> wrote:
> > I don't quite get what the "hub feed" would look like.  Could
> > you show us some XML?
> 
> I think something like this:
> 
> <feed>
>     ...
>     <title>archives hub for x</title>
>     <link href="http://example.com/archive/feed/2005/05/"
>           type="application/atom+xml"
>           rel="prev" />
>     <link href="http://example.com/archive/feed/2005/04/"
>           type="application/atom+xml"
>           rel="prev" />
>     <link href="http://example.com/archive/feed/2005/03/"
>           type="application/atom+xml"
>           rel="prev" />
>     <link href="http://example.com/archive/feed/2005/02/"
>           type="application/atom+xml"
>           rel="prev" />
>     <!-- no entries -->
> </feed>

Exactly.

> ... although ... now that I've typed that out ... the semantics
> of "prev" are borked.

Indeed.

> So maybe something more like this would make better sense
> 
> <feed>
>     ...
>     <entry>
>         <id .../>
>         <link href="http://example.com/archive/feed/2005/05/"
>             type="application/atom+xml"/>
>         <title>Archive for 2005/05</title>
>         <summary>27 posts</summary>
>     </entry>
> </feed>

I like!

> also, how can RFC3229+feed provide subsets where one end isn't
> tied to the most recent entry?

It can’t. Is there a need for that beyond a minor overhead of
redundancy?

Regards,
-- 
Aristotle Pagaltzis // <http://plasmasturm.org/>